/**
 * 工作台
 */

import http from '../http'
// import { https } from '../https'

export default {
  // 报告编制  历史报告分页列表
  pageReportMakeHis: data =>
    http.post('soil/v1/entrust/page_report_make_his', data).then(res => res),
  // 报告审核  历史任务分页列表
  pageReportCheckHis: data =>
    http.post('soil/v1/entrust/page_report_check_his', data).then(res => res),
  // 报告签发  历史任务分页列表
  pageReportIssueHis: data =>
    http.post('soil/v1/entrust/page_report_issue_his', data).then(res => res),
  getExcelOriginalRecord: data =>
    http
      .post('soil/v1/original_record/get_excel_original_record?expId=' + data)
      .then(res => res),
  reportPage: data => http.post('soil/v1/report/page', data).then(res => res),
  originalRecordGetById: data =>
    http.get('soil/v1/original_record/' + data).then(res => res),
  expReportGetById: data =>
    http.get('soil/v1/exp_report/' + data).then(res => res),
  reportGetById: data => http.get('soil/v1/report/' + data).then(res => res),
  expReportCheck: data =>
    http.post('soil/v1/exp_report/exp_report_check', data).then(res => res),
  pageReportEndBySummaryReport: data =>
    http
      .post('soil/v1/entrust/page_report_end_by_summary_report', data)
      .then(res => res)
}
